#ifndef FILESETTINGSWINDOW_H
#define FILESETTINGSWINDOW_H
#include <wx/wx.h>
#include <wx/config.h>

class ExtensionsWindow : public wxFrame
{
public:
	ExtensionsWindow(wxWindow *oParent, const wxString &sTitle);

private:
	// Sizers.
	wxBoxSizer *oWindowSizer;
	wxBoxSizer *oMainSizer;
	wxBoxSizer *oSettingsSizer;
	wxBoxSizer *oExtensionSizer;
	wxBoxSizer *oButtonSizer;
	wxFlexGridSizer *oInputSizer;

	// General variables.
	wxConfig *oConfig;
	
	// Controls.
	wxStaticText *lblType;
	wxStaticText *lblTypeValue;
	wxListBox *oFileList;
	wxStaticText *lblEnding;
	wxStaticText *lblRun;
	wxStaticText *lblTerminal;
	wxTextCtrl *txtEnding;
	wxTextCtrl *txtRun;
	wxCheckBox *btnTerminal;
	wxButton *btnAdd;
	wxButton *btnChange;
	wxButton *btnDelete;
	wxButton *btnClose;
	wxStaticBox *oExtensionBox;
	wxPanel *oPanel;
	
	// Functions.
	void readSettings();
	void loadSelection(const wxString &sExtension);
	void updateEntity();
	
	// Event handlers.
	void on_btnAdd(wxCommandEvent &oEvent);
	void on_btnChange(wxCommandEvent &oEvent);
	void on_btnDelete(wxCommandEvent &oEvent);
	void on_btnClose(wxCommandEvent &oEvent);
	void on_oFileList(wxCommandEvent &oEvent);
	void on_this_close(wxCloseEvent &oEvent);

	DECLARE_EVENT_TABLE()
};

#endif

