#include "jaffm.h"
#include "mainwindow.h"
#include "constants.h"
#include <wx/config.h>

DECLARE_APP(Jaffm)
IMPLEMENT_APP(Jaffm)

bool Jaffm::OnInit()
{
	wxConfig *oConfig = new wxConfig(_(APP_NAME));
	wxConfig::Set(oConfig);
	
	if (!oConfig->Exists(_("/Files")))
	{
		oConfig->Write(_("/Files/.avi/Run"), _("mplayer"));
		oConfig->Write(_("/Files/.mpg/Run"), _("mplayer"));
		oConfig->Write(_("/Files/.mpeg/Run"), _("mplayer"));
		oConfig->Write(_("/Files/.wmv/Run"), _("mplayer"));
		oConfig->Write(_("/Files/.mp3/Run"), _("beep-media-player"));
		oConfig->Write(_("/Files/.m3u/Run"), _("beep-media-player"));
		oConfig->Write(_("/Files/.ogg/Run"), _("beep-media-player"));
		oConfig->Write(_("/Files/.xls/Run"), _("gnumeric"));
		oConfig->Write(_("/Files/.gnumeric/Run"), _("gnumeric"));
		oConfig->Write(_("/Files/.doc/Run"), _("abiword"));
		oConfig->Write(_("/Files/.abw/Run"), _("abiword"));
		oConfig->Write(_("/Files/.awt/Run"), _("abiword"));
		oConfig->Write(_("/Files/.jpg/Run"), _("gimp"));
		oConfig->Write(_("/Files/.jpeg/Run"), _("gimp"));
		oConfig->Write(_("/Files/.gif/Run"), _("gimp"));
		oConfig->Write(_("/Files/.png/Run"), _("gimp"));
		oConfig->Write(_("/Files/.pdf/Run"), _("evince"));
		oConfig->Write(_("/Files/.sh/Run"), _("sh"));
		oConfig->Write(_("/Files/configure/Run"), _("sh"));
		oConfig->Write(_("/Files/Makefile/Run"), _("sh"));

		oConfig->Write(_("/Files/.avi/RunInTerminal"), _("0"));
		oConfig->Write(_("/Files/.mpg/RunInTerminal"), _("0"));
		oConfig->Write(_("/Files/.mpeg/RunInTerminal"), _("0"));
		oConfig->Write(_("/Files/.wmv/RunInTerminal"), _("0"));
		oConfig->Write(_("/Files/.mp3/RunInTerminal"), _("0"));
		oConfig->Write(_("/Files/.m3u/RunInTerminal"), _("0"));
		oConfig->Write(_("/Files/.ogg/RunInTerminal"), _("0"));
		oConfig->Write(_("/Files/.xls/RunInTerminal"), _("0"));
		oConfig->Write(_("/Files/.gnumeric/RunInTerminal"), _("0"));
		oConfig->Write(_("/Files/.doc/RunInTerminal"), _("0"));
		oConfig->Write(_("/Files/.abw/RunInTerminal"), _("0"));
		oConfig->Write(_("/Files/.awt/RunInTerminal"), _("0"));
		oConfig->Write(_("/Files/.jpg/RunInTerminal"), _("0"));
		oConfig->Write(_("/Files/.jpeg/RunInTerminal"), _("0"));
		oConfig->Write(_("/Files/.gif/RunInTerminal"), _("0"));
		oConfig->Write(_("/Files/.png/RunInTerminal"), _("0"));
		oConfig->Write(_("/Files/.pdf/RunInTerminal"), _("0"));
		oConfig->Write(_("/Files/.sh/RunInTerminal"), _("1"));
		oConfig->Write(_("/Files/configure/RunInTerminal"), _("1"));
		oConfig->Write(_("/Files/Makefile/RunInTerminal"), _("1"));
	}
	if (!oConfig->Exists(_("/DefaultApp")))
	{
		oConfig->Write(_("/DefaultApp"), _(DEFCONF_DEFAULT_APP));
	}
	if (!oConfig->Exists(_("/ScreenMargin")))
	{
		oConfig->Write(_("/ScreenMargin"), _(DEFCONF_SCREEN_MARGIN));
	}
	if (!oConfig->Exists(_("/ShowHidden")))
	{
		oConfig->Write(_("/ShowHidden"), _(DEFCONF_SHOW_HIDDEN));
	}
	if (!oConfig->Exists(_("/ShowMenubar")))
	{
		oConfig->Write(_("/ShowMenubar"), _(DEFCONF_SHOW_MENUBAR));
	}
	if (!oConfig->Exists(_("/ShowLocation")))
	{
		oConfig->Write(_("/ShowLocation"), _(DEFCONF_SHOW_LOCATION));
	}
	if (!oConfig->Exists(_("/ShowToolbar")))
	{
		oConfig->Write(_("/ShowToolbar"), _(DEFCONF_SHOW_TOOLBAR));
	}
	if (!oConfig->Exists(_("/AutoFitTree")))
	{
		oConfig->Write(_("/AutoFitTree"), _(DEFCONF_AUTO_FIT_TREE));
	}
	oConfig->Flush();
	
	MainWindow *oFrame = new MainWindow(_(APP_NAME));
	oFrame->Show(true);
	oFrame->oTree->SetFocus();
	return true;
}

