#ifndef SETTINGSWINDOW_H
#define SETTINGSWINDOW_H
#include <wx/wx.h>
#include <wx/config.h>

class SettingsWindow : public wxFrame
{
public:
	SettingsWindow(wxFrame *oParent, const wxString &sTitle);
	
private:
	// General variables.
	wxConfig *oConfig;
	
	// Sizers.
	wxBoxSizer *oWindowSizer;
	wxBoxSizer *oMainSizer;
	wxBoxSizer *oControlSizer;
	wxFlexGridSizer *oFieldSizer;
	wxBoxSizer *oCloseSizer;
	wxBoxSizer *oListSizer;
	wxStaticBoxSizer *oGeneralSizer;
	
	// Controls.
	// FileSettingsPanel *oFileSettingsPanel; // To kill.
	wxStaticBox *oGeneralBox;
	wxStaticText *lblInfo;
	wxStaticText *lblDefaultApp;
	wxStaticText *lblScreenMargin;
	wxTextCtrl *txtDefaultApp;
	wxTextCtrl *txtScreenMargin;
	wxButton *btnOK;
	wxButton *btnCancel;
	wxPanel *oPanel;
	
	// Functions.
	void readSettings();
	
	// Event handlers.
	void on_btnOK(wxCommandEvent &oEvent);
	void on_btnCancel(wxCommandEvent &oEvent);
	void on_txtDefaultApp(wxCommandEvent &oEvent);
	void on_txtScreenMargin(wxCommandEvent &oEvent);
	void on_this_close(wxCloseEvent &oEvent);
	void on_btnShowMenubar(wxCommandEvent &oEvent);
	void on_btnShowLocation(wxCommandEvent &oEvent);
	void on_btnShowToolbar(wxCommandEvent &oEvent);
	void on_btnAutoFitTree(wxCommandEvent &oEvent);

	DECLARE_EVENT_TABLE()
};

#endif

